curl --request POST \
--url http://co-mind-platform-host/v1/services/token/refresh \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"refresh_token": "<string>"
}
'{
"access_token": "<string>",
"refresh_token": "<string>",
"token_type": "bearer",
"expires_in": 3600,
"user": {
"id": "user_abc123",
"email": "user@example.com",
"username": "johndoe",
"confirmed": true,
"created_at": "2023-11-07T05:31:56Z"
}
}Refresh a token using a refresh token. Accepts JWT, PAT, or service tokens (hybrid auth).
curl --request POST \
--url http://co-mind-platform-host/v1/services/token/refresh \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"refresh_token": "<string>"
}
'{
"access_token": "<string>",
"refresh_token": "<string>",
"token_type": "bearer",
"expires_in": 3600,
"user": {
"id": "user_abc123",
"email": "user@example.com",
"username": "johndoe",
"confirmed": true,
"created_at": "2023-11-07T05:31:56Z"
}
}Bearer token authentication. Supports two token types:
POST /v1/auth/loginPOST /v1/api-tokens, format: cmnd_<tokenId>.<secret>